- hosts: "{{ host_ip }}"
  gather_facts: False
  vars:
    ansible_connection: network_cli
    ansible_network_os: ios
    ansible_user: "{{ host_credential_username }}"
    ansible_password: "{{ host_credential_password }}"
    host_key_checking: False
    host: 
  tasks:
    - name: "Get current configuration."
      ios_facts:
        gather_subset:
          - config
      register: result
    
    - name: "CONFIG-PRINT"
      debug:
        var: result